SystemOrganization addCategory: #'iCook-Model'!
SystemOrganization addCategory: #'iCook-View'!
SystemOrganization addCategory: #'iCook-Tests'!

WAFileLibrary subclass: #ICookLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-View'!

Object subclass: #Ingredient
	instanceVariableNames: 'name amount unit'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-Model'!

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
amount
	^ amount! !

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
amount: anObject
	amount := anObject! !

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
name
	^ name! !

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
name: anObject
	name := anObject! !

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
unit
	^ unit! !

!Ingredient methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:10'!
unit: anObject
	unit := anObject! !

Object subclass: #Preparation
	instanceVariableNames: 'steps'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-Model'!

!Preparation methodsFor: 'as yet unclassified' stamp: 'NicolasVanderAuwera 9/30/2012 18:11'!
addStep: aStep! !

Object subclass: #Recipe
	instanceVariableNames: 'description title date ingredients preparation rating'
	classVariableNames: 'Database'
	poolDictionaries: ''
	category: 'iCook-Model'!

!Recipe class methodsFor: 'adding' stamp: 'NicolasVanderAuwera 9/30/2012 19:30'!
add: aRecipe
	self recipes add: aRecipe! !

!Recipe class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 19:30'!
recipes
	Database ifNil: [ Database := OrderedCollection new ].
	^ Database! !

!Recipe class methodsFor: 'removing' stamp: 'NicolasVanderAuwera 9/30/2012 19:31'!
remove: aRecipe
	self recipes remove: aRecipe! !

!Recipe methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/30/2012 19:21'!
descriptionDescription
	^ MAMemoDescription new
		accessor: #description;
		label: 'Description';
		yourself! !

Object subclass: #Step
	instanceVariableNames: 'description'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-Model'!

!Step methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:12'!
description
	^ description! !

!Step methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/30/2012 18:12'!
description: anObject
	description := anObject! !

WAComponent subclass: #ICookComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-View'!

!ICookComponent class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/30/2012 18:01'!
canBeRoot
	^ true! !

!ICookComponent class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 10/1/2012 07:12'!
initialize
	super initialize.
	WAAdmin register: self asApplicationAt: 'icook'! !

WAComponent subclass: #RecipeListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'iCook-View'!

!RecipeListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/30/2012 19:34'!
renderContentOn: html
	html unorderedList: [ Recipe recipes do: [ :recipe | html listItem: [ self renderRecipe: recipe on: html ] ] ]! !

!RecipeListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/30/2012 19:35'!
renderRecipe: recipe on: html
	html article
		class: 'recipe';
		with: [ html render: recipe name ]! !
ICookComponent initialize!
